@mixin round-button($color, $background, $background-hover, $size, $font-size) {
  display: flex;
  align-items: center;
  justify-content: center;
  font-size: $font-size;
  width: $size;
  height: $size;
  border-radius: 50%;
  cursor: pointer;
  color: $color;
  background-color: $background;

  &:hover {
    background-color: $background-hover;
  }
}

@mixin button($color: var(--button-text)) {
  color: $color;
  background-color: var(--button-background);
  border: none;
  padding: var(--size-base-0-75);
  min-width: var(--size-base-6);
  font-size: var(--size-base);
  cursor: pointer;
  border-radius: var(--size-base-0-50);

  &:focus, &:hover {
    background-color: var(--button-background-focus);
  }

  &:not(:first-child) {
    margin-left: var(--size-base);
  }
}
